Name:		wsjtx
Summary:	Provides all popular modes for Weak Signal digital Amateur Radio
Version:	2.0.0
Release:	%mkrel 1
License:	GPLv3
Url:		http://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html
Group:		Communications/Radio
Source0:	http://www.physics.princeton.edu/pulsar/K1JT/%{name}-%{version}.tgz

BuildRequires:	asciidoc
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtmultimedia5
BuildRequires:	ruby-asciidoctor
BuildRequires:	subversion
BuildRequires:	texinfo
# kvasd is no longer required by wsjtx > 1.7.0 so there is no need for it.
# kvasd-installer has been moved to obsoletes.
Obsoletes:	kvasd-installer < 1.12.15-3

%description
WSJT-X is a program designed to facilitate basic amateur radio communication
using very weak signals. The first four letters in the program name stand for
“Weak Signal communication by K1JT,” while the suffix “-X” indicates that
WSJT-X started as an extended (and experimental) branch of the program WSJT.
This package is aimed primarily at the LF, MF, and HF bands and now includes
the following modes: FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, WSPR and Echo.

%prep
%setup -q -n %{name}-%{version}

%build

%cmake_qt5

%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_docdir}/WSJT-X/{INSTALL,COPYING,changelog.Debian.gz,copyright}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/WSJT-X/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/*


%changelog
* Sat Jan 19 2019 barjac <barjac> 2.0.0-1.mga6
+ Revision: 1358090
- new version 2.0.0
- fixes Mga#24206 (non backward compatibility)
- see Mga7 changelog for full details

* Tue Dec 20 2016 barjac <barjac> 1.7.0-2.mga6
+ Revision: 1076196
- obsolete kvasd-installer
- remove buildrequires that were only needed for docs

* Mon Dec 19 2016 barjac <barjac> 1.7.0-1.mga6
+ Revision: 1076175
- new version 1.7.0

* Wed Feb 17 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 963284
- Mageia 6 Mass Rebuild

* Mon Dec 14 2015 barjac <barjac> 1.6.0-1.mga6
+ Revision: 910373
- new full release 1.6.0

* Fri Dec 11 2015 barjac <barjac> 1.6.0-0.rc2.1.mga6
+ Revision: 909472
- new version 1.6.0-rc2

* Fri Nov 27 2015 barjac <barjac> 1.6.0-0.rc1.1.mga6
+ Revision: 906441
- new package wsjtx

